// python wrapper for vtkCoreGraphicsGPUInfoList
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkCoreGraphicsGPUInfoList.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkCoreGraphicsGPUInfoList(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkCoreGraphicsGPUInfoList(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkCoreGraphicsGPUInfoListNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkCoreGraphicsGPUInfoListNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkGPUInfoListNew
extern "C" { PyObject *PyVTKClass_vtkGPUInfoListNew(const char *); }
#define DECLARED_PyVTKClass_vtkGPUInfoListNew
#endif

static const char **PyvtkCoreGraphicsGPUInfoList_Doc();


static PyObject *
PyvtkCoreGraphicsGPUInfoList_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCoreGraphicsGPUInfoList *op = static_cast<vtkCoreGraphicsGPUInfoList *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkCoreGraphicsGPUInfoList::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCoreGraphicsGPUInfoList_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCoreGraphicsGPUInfoList *op = static_cast<vtkCoreGraphicsGPUInfoList *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkCoreGraphicsGPUInfoList::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCoreGraphicsGPUInfoList_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCoreGraphicsGPUInfoList *op = static_cast<vtkCoreGraphicsGPUInfoList *>(vp);

  vtkCoreGraphicsGPUInfoList *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkCoreGraphicsGPUInfoList::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkCoreGraphicsGPUInfoList_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkCoreGraphicsGPUInfoList *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkCoreGraphicsGPUInfoList::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkCoreGraphicsGPUInfoList_Probe(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Probe");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkCoreGraphicsGPUInfoList *op = static_cast<vtkCoreGraphicsGPUInfoList *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Probe();
      }
    else
      {
      op->vtkCoreGraphicsGPUInfoList::Probe();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkCoreGraphicsGPUInfoList_Methods[] = {
  {(char*)"GetClassName", PyvtkCoreGraphicsGPUInfoList_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkCoreGraphicsGPUInfoList_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkCoreGraphicsGPUInfoList_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkCoreGraphicsGPUInfoList\nC++: vtkCoreGraphicsGPUInfoList *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkCoreGraphicsGPUInfoList_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkCoreGraphicsGPUInfoList\nC++: vtkCoreGraphicsGPUInfoList *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Probe", PyvtkCoreGraphicsGPUInfoList_Probe, 1,
   (char*)"V.Probe()\nC++: virtual void Probe()\n\nBuild the list of vtkInfoGPU if not done yet.\n\\post probed: IsProbed()\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkCoreGraphicsGPUInfoList_StaticNew()
{
  return vtkCoreGraphicsGPUInfoList::New();
}

PyObject *PyVTKClass_vtkCoreGraphicsGPUInfoListNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkCoreGraphicsGPUInfoList_StaticNew,
    PyvtkCoreGraphicsGPUInfoList_Methods,
    "vtkCoreGraphicsGPUInfoList", modulename,
    NULL, NULL,
    PyvtkCoreGraphicsGPUInfoList_Doc(),
    PyVTKClass_vtkGPUInfoListNew(modulename));
  return cls;
}

const char **PyvtkCoreGraphicsGPUInfoList_Doc()
{
  static const char *docstring[] = {
    "vtkCoreGraphicsGPUInfoList - Get GPUs VRAM information using\nCoreGraphics.\n\n",
    "Superclass: vtkGPUInfoList\n\n",
    "vtkCoreGraphicsGPUInfoList implements Probe() method of\nvtkGPUInfoList through the CoreGraphics API (Apple Mac OS X) and the\nIOKit API. The CoreGraphics framework is part of the\nApplicationServices umbrella framework. IOKit is a framework on its\nown. ref: http://developer.apple.com/qa/qa2004/qa1168.html\n\nSee Also:\n\nvtkGPUInfo vtkGPUInfoList\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkCoreGraphicsGPUInfoList(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkCoreGraphicsGPUInfoListNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkCoreGraphicsGPUInfoList", o) != 0)
    {
    Py_DECREF(o);
    }

}

